Purchase Order Receives
Frequency:
Purchase order receive data is available when the receive process closes on the WMS side.
Expected data:
Returns receive data for a given Purchase Order (PO).
Technical:
GET https://{url}/v1/orders/purchase/{purchaseOrderExternalId}/receives
Retrieve receive data for a purchase order.
Response Body
The response contains purchase order header fields and a receives array. Each receive contains a details array with the received line items.
Top-level response fields:
| Name | Type | Required | Description |
|---|---|---|---|
| success | boolean | Yes | Whether the operation succeeded |
| message | string | No | Error message, if applicable |
| purchase_order_id | string | Yes | PO unique identifier in ERP |
| status | integer | Yes | PO reception status: 1 - Not started, 2 - In progress, 3 - Completed |
| received_date | string | Yes | Date when PO receiving is completed (in format '2025-04-15T12:51:34') |
| receives | array | Yes | Array of receive document objects |
Receive object (inside receives array):
| Name | Type | Required | Description |
|---|---|---|---|
| receive_document_id | string | Yes | Receive document unique identifier in WMS |
| receive_date | string | Yes | Receive document date (in format '2025-04-15T12:51:34') |
| details | array | Yes | Array of detail line objects for the receive document |
Detail object (inside details array):
| Name | Type | Required | Description |
|---|---|---|---|
| purchase_order_line_number | integer | Yes | PO detail line number |
| source_purchase_order_line_number | integer | Conditional | Source PO detail line number. Used when country of origin for received product is required or linked empties should be reported during receive of an article. |
| article_id | string | Yes | Article unique identifier in ERP |
| quantity | number | Yes | Received quantity |
| quantity_unit_id | string | Yes | Received quantity unit of measure |
| shelf_life | string | No | Received shelf life |
| excise | object | Conditional | Excise stamp data object (contains serial, range_from, range_to). Present for tobacco or alcohol articles. |
| local_excise | string | No | Local excise stamp information |
| country_of_origin | string | No | Country of origin from received stock |
Response
200: OK — Success
{
"success": true,
"message": null,
"purchase_order_id": "3000437294",
"status": 2,
"received_date": "2025-04-15T12:51:34",
"receives": [
{
"receive_document_id": "WMS191083",
"receive_date": "2025-04-15T12:51:34",
"details": [
{
"purchase_order_line_number": 1000,
"article_id": "0001",
"quantity": 12,
"quantity_unit_id": "PCS",
"shelf_life": "1608739000"
},
{
"purchase_order_line_number": 1100,
"source_purchase_order_line_number": 1000,
"country_of_origin": "FR",
"quantity": 12,
"quantity_unit_id": "PCS"
},
{
"purchase_order_line_number": 2000,
"article_id": "0001",
"quantity": 36,
"quantity_unit_id": "PCS",
"shelf_life": "1602984000"
}
]
},
{
"receive_document_id": "WMS191393",
"receive_date": "2025-04-15T12:51:34",
"details": [
{
"purchase_order_line_number": 100,
"article_id": "0001",
"quantity": 24,
"quantity_unit_id": "PCS",
"shelf_life": "1608739000"
},
{
"purchase_order_line_number": 200,
"article_id": "0047",
"quantity": 144,
"quantity_unit_id": "PCS",
"shelf_life": "1603983000",
"excise": {
"serial": "KF",
"range_from": 493000,
"range_to": 654000
}
}
]
}
]
}
400: Bad Request — Error
{
"success": false,
"message": "Purchase Order not found"
}